org.apache.commons.compress.java.util.jar

## Class Pack200

- java.lang.Object
- - org.apache.commons.compress.java.util.jar.Pack200

-     public abstract class Pack200
      extends Object

  Class factory for `Pack200.Packer` and `Pack200.Unpacker`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Pack200.Packer` The interface defining the API for converting a JAR file to an output stream in the Pack200 format.
    `static interface` | `Pack200.Unpacker` The interface defining the API for converting a packed stream in the Pack200 format to a JAR file.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Pack200.Packer` | `newPacker()` Returns a new instance of a packer engine.
    `static Pack200.Unpacker` | `newUnpacker()` Returns a new instance of a unpacker engine.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newPacker

          public static Pack200.Packer newPacker()

      Returns a new instance of a packer engine.

      The implementation of the packer engine is defined by the system property `'java.util.jar.Pack200.Packer'`. If this system property is defined an instance of the specified class is returned, otherwise the system's default implementation is returned.

      Returns:
        an instance of `Packer`

    - #### newUnpacker

          public static Pack200.Unpacker newUnpacker()

      Returns a new instance of a unpacker engine.

      The implementation of the unpacker engine is defined by the system property `'java.util.jar.Pack200.Unpacker'`. If this system property is defined an instance of the specified class is returned, otherwise the system's default implementation is returned.

      Returns:
        a instance of `Unpacker`.

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.